unit Unit2;

interface

uses SysUtils, Classes, QGraphics, QForms, 
  QButtons, QExtCtrls, QControls, QStdCtrls, QDialogs, IniFiles;

type
  TOKBottomDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    s, t: string;
    x, y: Boolean;
    procedure CheckDirectories;
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  OKBottomDlg: TOKBottomDlg;

implementation

uses Unit1, Unit3;

{$R *.xfm}

procedure TOKBottomDlg.FormCreate(Sender: TObject);
var
  d: TIniFile;
begin
        d:=TIniFile.Create(ChangeFileExt(Application.ExeName,'.ini'));
  try
        s:=d.ReadString('Open','Edit1','not found');
        t:=d.ReadString('Save','Edit2','not found');
        x:=d.ReadBool('Open','RadioBtn',true);
        y:=d.ReadBool('Save','RadioBtn',true);
    if x = true then
    begin
        RadioButton1.Checked:=true;
    end else
    begin
        RadioButton2.Checked:=true;
    end;
    if y = true then
    begin
        RadioButton3.Checked:=true;
    end else
    begin
        RadioButton4.Checked:=true;
    end;
        Edit1.Text:=s;
        Edit2.Text:=t;
  finally
        d.Free;
  end;
        CheckDirectories;
  if RadioButton1.Checked = true then
  begin
        ChDir(ExtractFileDir(Application.ExeName));
  end else
  begin
        ChDir(Edit1.Text);
  end;
        Form1.Frame41.InitializeDir;
end;

procedure TOKBottomDlg.SpeedButton1Click(Sender: TObject);
begin
  if DirectoryExists(Edit1.Text) = true then
  begin
        ChDir(Edit1.Text);
  end;
  if OKRightDlg.ShowModal = mrOK then
  begin
        RadioButton2.Checked:=true;
        Edit1.Enabled:=true;
        Edit1.Text:=OKRightDlg.Frame41.NodePathName;
  end;
end;

procedure TOKBottomDlg.SpeedButton2Click(Sender: TObject);
begin
  if DirectoryExists(Edit2.Text) = true then
  begin
        ChDir(Edit2.Text);
  end;
  if OKRightDlg.ShowModal = mrOK then
  begin
        RadioButton4.Checked:=true;
        Edit2.Enabled:=true;
        Edit2.Text:=OKRightDlg.Frame41.NodePathName;
  end;
end;

procedure TOKBottomDlg.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  if ModalResult = mrOK then
  begin
        CheckDirectories;
        s:=Edit1.Text;
        t:=Edit2.Text;
        x:=RadioButton1.Checked;
        y:=RadioButton3.Checked;
  end else
  begin
        Edit1.Text:=s;
        Edit2.Text:=t;
    if x = true then
    begin
        RadioButton1.Checked:=true;
    end else
    begin
        RadioButton2.Checked:=true;
    end;
    if y = true then
    begin
        RadioButton3.Checked:=true;
    end else
    begin
        RadioButton4.Checked:=true;
    end;
  end;
end;

procedure TOKBottomDlg.RadioButton1Click(Sender: TObject);
begin
        RadioButton1.Checked:=true;
        Edit1.Enabled:=false;
end;

procedure TOKBottomDlg.RadioButton2Click(Sender: TObject);
begin
        RadioButton2.Checked:=true;
        Edit1.Enabled:=true;
end;

procedure TOKBottomDlg.RadioButton3Click(Sender: TObject);
begin
        Edit2.Enabled:=false;
end;

procedure TOKBottomDlg.RadioButton4Click(Sender: TObject);
begin
        Edit2.Enabled:=true;
end;

procedure TOKBottomDlg.FormDestroy(Sender: TObject);
var
  d: TIniFile;
begin
        d:=TIniFile.Create(ChangeFileExt(Application.ExeName,'.ini'));
  try
        d.WriteString('Open','Edit1',s);
        d.WriteString('Save','Edit2',t);
        d.WriteBool('Open','RadioBtn',x);
        d.WriteBool('Save','RadioBtn',y);
  finally
        d.Free;
  end;
end;

procedure TOKBottomDlg.CheckDirectories;
begin
  if (RadioButton2.Checked = true)and(DirectoryExists(Edit1.Text) = false) then
  begin
        Edit1.Text:='not found';
        RadioButton1.Checked:=true;
  end;
        Edit1.Enabled:=RadioButton2.Checked;
  if (RadioButton4.Checked = true)and(DirectoryExists(Edit2.Text) = false) then
  begin
        Edit2.Text:='not found';
        RadioButton3.Checked:=true;
  end;
  if RadioButton4.Checked = true then
  begin
        Edit2.Enabled:=true;
        Form1.Label1.Caption:=GroupBox2.Caption+' : ['+RadioButton4.Caption+']';
  end else
  begin
        Edit2.Enabled:=false;
        Form1.Label1.Caption:=GroupBox2.Caption+' : ['+RadioButton3.Caption+']';
  end;
end;

end.
